MRINFO(8)

NAME
mrinfo - displays configuration info from a multicast router

SYNOPSIS
mrinfo [-hn] [-d level] [-r count] [-t seconds] router

DESCRIPTION
mrinfo attempts to display the configuration information from the specified multicast capable router.

mrinfo uses the ASK_NEIGHBORS IGMP message to query the specified multicast router. If the router responds, the version number and a list of their neighboring multicast router addresses is part of the response. If the responding router has a recent multicast version number, then mrinfo requests additional information such as metrics, thresholds, and flags from the multicast router. Once the specified multicast router responds, the configuration is displayed to the standard output.

The options are as follows:

-h  Print a help message and exit.

-n  Use numerical address instead of a symbolic host name.

-d level
    sets the debug level. When the debug level is greater than the default value of 0, additional debugging messages are printed. Regardless of the debug level, an error condition will always write an error message and cause mrinfo to terminate. Non-zero debug levels have the following effects (printed to stderr):

    1   packet warnings.
    2   all level 1 messages plus notifications of down networks.
    3   all level 2 messages plus notifications of all packet timeouts.

-r count
    sets the neighbor query retry count limit. The default is to do 3 retries.

-t seconds
    sets the timeout in number of seconds to wait for a neighbor query reply. The default timeout is 4 seconds.

EXAMPLES

    # mrinfo mbone.phony.dom.net
    127.148.176.10 (mbone.phony.dom.net) [version 3.3]:
     127.148.176.10 -> 0.0.0.0 (?) [1/1/querier]
     127.148.176.10 -> 127.0.8.4 (mbone2.phony.dom.net) [1/45/tunnel]
     127.148.176.10 -> 105.1.41.9 (momoney.com) [1/32/tunnel/down]
     127.148.176.10 -> 143.192.152.119 (mbone.dipu.edu) [1/32/tunnel]

For each neighbor of the queried multicast router, the IP of the queried router is displayed, followed by the IP and name of the neighbor. In square brackets the metric (cost of connection) and threshold (multicast ttl) is displayed. If the queried multicast router has a newer version number, the type (tunnel, srcrt) and status (disabled, down) of the connection is displayed.

SEE ALSO
map-mbone(8), mrouted(8), mtrace(8)

AUTHORS
Van Jacobson